Xalan-Java 2.7.1: Class Stylesheet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class Stylesheet

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.Stylesheet

Direct Known Subclasses:
  StylesheetComposed

public class Stylesheet
extends ElemTemplateElement
implements java.io.Serializable

Represents a stylesheet element.

All properties in this class have a fixed form of bean-style property accessors for all properties that represent XSL attributes or elements. These properties have setter method names accessed generically by the processor, and so these names must be fixed according to the system defined in the getSetterMethodName function.

See Also:
  section-Stylesheet-Structure in XSLT Specification, Serialized Form

Field Summary
`static java.lang.String` | `STYLESHEET_EXT` Extension to be used when serializing to disk.

Constructor Summary
`Stylesheet(Stylesheet parent)` Constructor for a Stylesheet.

Method Summary
`boolean` | `containsExcludeResultPrefix(java.lang.String prefix, java.lang.String uri)` Get whether or not the passed prefix is contained flagged by the "exclude-result-prefixes" property.
`boolean` | `containsExtensionElementURI(java.lang.String uri)` Find out if this contains a given "extension-element-prefix" property.
`ElemAttributeSet` | `getAttributeSet(int i)` Get an "xsl:attribute-set" property.
`int` | `getAttributeSetCount()` Get the number of "xsl:attribute-set" properties.
`boolean` | `getCompatibleMode()` Get whether or not the stylesheet is in "Forward Compatibility Mode"
`DecimalFormatProperties` | `getDecimalFormat(int i)` Get an "xsl:decimal-format" property.
`DecimalFormatProperties` | `getDecimalFormat(QName name)` Get an "xsl:decimal-format" property.
`int` | `getDecimalFormatCount()` Get the number of xsl:decimal-format declarations.
`java.lang.String` | `getExcludeResultPrefix(int i)` Get an "exclude-result-prefix" property.
`int` | `getExcludeResultPrefixCount()` Get the number of "exclude-result-prefixes" Strings.
`java.lang.String` | `getExtensionElementPrefix(int i)` Get and "extension-element-prefix" property.
`int` | `getExtensionElementPrefixCount()` Get the number of "extension-element-prefixes" Strings.
`java.lang.String` | `getHref()` Get the base identifier with which this stylesheet is associated.
`java.lang.String` | `getId()` Get the "id" property.
`StylesheetComposed` | `getImport(int i)` Get a stylesheet from the "import" list.
`int` | `getImportCount()` Get the number of imported stylesheets.
`Stylesheet` | `getInclude(int i)` Get the stylesheet at the given in index in "include" list
`int` | `getIncludeCount()` Get the number of included stylesheets.
`KeyDeclaration` | `getKey(int i)` Get an "xsl:key" property.
`int` | `getKeyCount()` Get the number of "xsl:key" properties.
`NamespaceAlias` | `getNamespaceAlias(int i)` Get an "xsl:namespace-alias" property.
`int` | `getNamespaceAliasCount()` Get the number of "xsl:namespace-alias" properties.
`java.lang.String` | `getNodeName()` Return the node name.
`short` | `getNodeType()` Get the type of the node.
`java.lang.Object` | `getNonXslTopLevel(QName name)` Get a non-xslt element.
`OutputProperties` | `getOutput(int i)` Get an "xsl:output" property.
`int` | `getOutputCount()` Get the number of "xsl:output" properties.
`ElemParam` | `getParam(QName qname)` Get an "xsl:param" property.
`WhiteSpaceInfo` | `getPreserveSpace(int i)` Get a "xsl:preserve-space" property.
`int` | `getPreserveSpaceCount()` Get the number of "xsl:preserve-space" properties.
`WhiteSpaceInfo` | `getStripSpace(int i)` Get an "xsl:strip-space" property.
`int` | `getStripSpaceCount()` Get the number of "xsl:strip-space" properties.
`Stylesheet` | `getStylesheet()` Get the owning stylesheet.
`StylesheetComposed` | `getStylesheetComposed()` Get the owning aggregated stylesheet, or this stylesheet if it is aggregated.
`Stylesheet` | `getStylesheetParent()` Get the parent of the stylesheet.
`StylesheetRoot` | `getStylesheetRoot()` Get the root of the stylesheet, where all the tables common to all stylesheets are kept.
`ElemTemplate` | `getTemplate(int i)` Get an "xsl:template" property.
`int` | `getTemplateCount()` Get the number of "xsl:template" properties.
`ElemVariable` | `getVariable(QName qname)` Get an "xsl:variable" property.
`ElemVariable` | `getVariableOrParam(int i)` Get an "xsl:variable" property.
`ElemVariable` | `getVariableOrParam(QName qname)` Get an "xsl:variable" or "xsl:param" property.
`int` | `getVariableOrParamCount()` Get the number of "xsl:variable" properties.
`java.lang.String` | `getVersion()` Get the "version" property.
`java.lang.String` | `getXmlnsXsl()` Get the "xmlns:xsl" property.
`int` | `getXSLToken()` Get an integer representation of the element type.
`boolean` | `isAggregatedType()` Tell if this can be cast to a StylesheetComposed, meaning, you can ask questions from getXXXComposed functions.
`boolean` | `isRoot()` Tell if this is the root of the stylesheet tree.
`void` | `replaceTemplate(ElemTemplate v, int i)` Replace an "xsl:template" property.
`void` | `setAttributeSet(ElemAttributeSet attrSet)` Set the "xsl:attribute-set" property.
`void` | `setDecimalFormat(DecimalFormatProperties edf)` Process the xsl:decimal-format element.
`void` | `setExcludeResultPrefixes(StringVector v)` Set the "exclude-result-prefixes" property.
`void` | `setExtensionElementPrefixes(StringVector v)` Set the "extension-element-prefixes" property.
`void` | `setHref(java.lang.String baseIdent)` Set the base identifier with which this stylesheet is associated.
`void` | `setId(java.lang.String v)` Set the "id" property.
`void` | `setImport(StylesheetComposed v)` Add a stylesheet to the "import" list.
`void` | `setInclude(Stylesheet v)` Add a stylesheet to the "include" list.
`void` | `setKey(KeyDeclaration v)` Set the "xsl:key" property.
`void` | `setLocaterInfo(SourceLocator locator)` Set the location information for this element.
`void` | `setNamespaceAlias(NamespaceAlias na)` Set the "xsl:namespace-alias" property.
`void` | `setNonXslTopLevel(QName name, java.lang.Object obj)` Set found a non-xslt element.
`void` | `setOutput(OutputProperties v)` Set the "xsl:output" property.
`void` | `setParam(ElemParam v)` Set an "xsl:param" property.
`void` | `setPreserveSpaces(WhiteSpaceInfo wsi)` Set the "xsl:preserve-space" property.
`void` | `setStripSpaces(WhiteSpaceInfo wsi)` Set the "xsl:strip-space" properties.
`void` | `setStylesheetParent(Stylesheet v)` Set the parent of the stylesheet.
`void` | `setStylesheetRoot(StylesheetRoot v)` Set the root of the stylesheet, where all the tables common to all stylesheets are kept.
`void` | `setTemplate(ElemTemplate v)` Set an "xsl:template" property.
`void` | `setVariable(ElemVariable v)` Set the "xsl:variable" property.
`void` | `setVersion(java.lang.String v)` Set the "version" property.
`void` | `setXmlnsXsl(java.lang.String v)` Set the "xmlns:xsl" property.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLESHEET_EXT

    public static final java.lang.String STYLESHEET_EXT

  Extension to be used when serializing to disk.

Constructor Detail

### Stylesheet

    public Stylesheet(Stylesheet parent)

  Constructor for a Stylesheet.
  Parameters:
    `parent` - The including or importing stylesheet.

Method Detail

### getStylesheet

    public Stylesheet getStylesheet()

  Get the owning stylesheet. This looks up the inheritance chain until it calls getStylesheet on a Stylesheet object, which will return itself.
  Returns:
    The owning stylesheet, itself.
  Overrides:
    getStylesheet in class ElemTemplateElement

### isAggregatedType

    public boolean isAggregatedType()

  Tell if this can be cast to a StylesheetComposed, meaning, you can ask questions from getXXXComposed functions.
  Returns:
    False if this is not a StylesheetComposed

### isRoot

    public boolean isRoot()

  Tell if this is the root of the stylesheet tree.
  Returns:
    False is this is not the root of the stylesheet tree.

### setXmlnsXsl

    public void setXmlnsXsl(java.lang.String v)

  Set the "xmlns:xsl" property.
  Parameters:
    `v` - The value to be set for the "xmlns:xsl" property.
  See Also:
    xslt-namespace in XSLT Specification

### getXmlnsXsl

    public java.lang.String getXmlnsXsl()

  Get the "xmlns:xsl" property.
  Returns:
    The value of the "xmlns:xsl" property.
  See Also:
    xslt-namespace in XSLT Specification

### setExtensionElementPrefixes

    public void setExtensionElementPrefixes(StringVector v)

  Set the "extension-element-prefixes" property.
  Parameters:
    `v` - The value to be set for the "extension-element-prefixes" property: a vector of extension element URIs.
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefix

    public java.lang.String getExtensionElementPrefix(int i)
                                               throws java.lang.ArrayIndexOutOfBoundsException

  Get and "extension-element-prefix" property.
  Parameters:
    `i` - Index of extension element URI in list
  Returns:
    The extension element URI at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefixCount

    public int getExtensionElementPrefixCount()

  Get the number of "extension-element-prefixes" Strings.
  Returns:
    Number of URIs in the list
  See Also:
    extension-element in XSLT Specification

### containsExtensionElementURI

    public boolean containsExtensionElementURI(java.lang.String uri)

  Find out if this contains a given "extension-element-prefix" property.
  Parameters:
    `uri` - URI of extension element to look for
  Returns:
    True if the given URI was found in the list
  See Also:
    extension-element in XSLT Specification

### setExcludeResultPrefixes

    public void setExcludeResultPrefixes(StringVector v)

  Set the "exclude-result-prefixes" property. The designation of a namespace as an excluded namespace is effective within the subtree of the stylesheet rooted at the element bearing the exclude-result-prefixes or xsl:exclude-result-prefixes attribute; a subtree rooted at an xsl:stylesheet element does not include any stylesheets imported or included by children of that xsl:stylesheet element.
  Parameters:
    `v` - A StringVector of prefixes to exclude
  See Also:
    literal-result-element in XSLT Specification

### getExcludeResultPrefix

    public java.lang.String getExcludeResultPrefix(int i)
                                            throws java.lang.ArrayIndexOutOfBoundsException

  Get an "exclude-result-prefix" property. The designation of a namespace as an excluded namespace is effective within the subtree of the stylesheet rooted at the element bearing the exclude-result-prefixes or xsl:exclude-result-prefixes attribute; a subtree rooted at an xsl:stylesheet element does not include any stylesheets imported or included by children of that xsl:stylesheet element.
  Parameters:
    `i` - Index of prefix to get in list
  Returns:
    Prefix to be excluded at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    literal-result-element in XSLT Specification

### getExcludeResultPrefixCount

    public int getExcludeResultPrefixCount()

  Get the number of "exclude-result-prefixes" Strings.
  Returns:
    The number of prefix strings to be excluded.
  See Also:
    literal-result-element in XSLT Specification

### containsExcludeResultPrefix

    public boolean containsExcludeResultPrefix(java.lang.String prefix,
                                               java.lang.String uri)

  Get whether or not the passed prefix is contained flagged by the "exclude-result-prefixes" property.
  Parameters:
    `prefix` - non-null reference to prefix that might be excluded.
    `uri` - reference to namespace that prefix maps to
  Returns:
    true if the prefix should normally be excluded.>
  Overrides:
    containsExcludeResultPrefix in class ElemTemplateElement
  See Also:
    literal-result-element in XSLT Specification

### setId

    public void setId(java.lang.String v)

  Set the "id" property.
  Parameters:
    `v` - Value for the "id" property.
  See Also:
    section-Embedding-Stylesheets in XSLT Specification

### getId

    public java.lang.String getId()

  Get the "id" property.
  Returns:
    The value of the "id" property.
  See Also:
    section-Embedding-Stylesheets in XSLT Specification

### setVersion

    public void setVersion(java.lang.String v)

  Set the "version" property.
  Parameters:
    `v` - Value for the "version" property.
  See Also:
    forwards in XSLT Specification

### getCompatibleMode

    public boolean getCompatibleMode()

  Get whether or not the stylesheet is in "Forward Compatibility Mode"
  Returns:
    true if in forward compatible mode, false otherwise

### getVersion

    public java.lang.String getVersion()

  Get the "version" property.
  Returns:
    The value of the "version" property.
  See Also:
    forwards in XSLT Specification

### setImport

    public void setImport(StylesheetComposed v)

  Add a stylesheet to the "import" list.
  Parameters:
    `v` - Stylesheet to add to the import list
  See Also:
    import in XSLT Specification

### getImport

    public StylesheetComposed getImport(int i)
                                 throws java.lang.ArrayIndexOutOfBoundsException

  Get a stylesheet from the "import" list.
  Parameters:
    `i` - Index of the stylesheet to get
  Returns:
    The stylesheet at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    import in XSLT Specification

### getImportCount

    public int getImportCount()

  Get the number of imported stylesheets.
  Returns:
    the number of imported stylesheets.
  See Also:
    import in XSLT Specification

### setInclude

    public void setInclude(Stylesheet v)

  Add a stylesheet to the "include" list.
  Parameters:
    `v` - Stylesheet to add to the "include" list
  See Also:
    include in XSLT Specification

### getInclude

    public Stylesheet getInclude(int i)
                          throws java.lang.ArrayIndexOutOfBoundsException

  Get the stylesheet at the given in index in "include" list
  Parameters:
    `i` - Index of stylesheet to get
  Returns:
    Stylesheet at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    include in XSLT Specification

### getIncludeCount

    public int getIncludeCount()

  Get the number of included stylesheets.
  Returns:
    the number of included stylesheets.
  See Also:
    import in XSLT Specification

### setDecimalFormat

    public void setDecimalFormat(DecimalFormatProperties edf)

  Process the xsl:decimal-format element.
  Parameters:
    `edf` - Decimal-format element to push into stack

### getDecimalFormat

    public DecimalFormatProperties getDecimalFormat(QName name)

  Get an "xsl:decimal-format" property.
  Parameters:
    `name` - The qualified name of the decimal format property.
  Returns:
    null if not found, otherwise a DecimalFormatProperties object, from which you can get a DecimalFormatSymbols object.
  See Also:
    `DecimalFormatProperties`, format-number in XSLT Specification

### getDecimalFormat

    public DecimalFormatProperties getDecimalFormat(int i)
                                             throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:decimal-format" property.
  Parameters:
    `i` - Index of decimal-format property in stack
  Returns:
    The decimal-format property at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    format-number in XSLT Specification, `DecimalFormatProperties`

### getDecimalFormatCount

    public int getDecimalFormatCount()

  Get the number of xsl:decimal-format declarations.
  Returns:
    the number of xsl:decimal-format declarations.
  See Also:
    `DecimalFormatProperties`

### setStripSpaces

    public void setStripSpaces(WhiteSpaceInfo wsi)

  Set the "xsl:strip-space" properties.
  Parameters:
    `wsi` - WhiteSpaceInfo element to add to list
  See Also:
    strip in XSLT Specification

### getStripSpace

    public WhiteSpaceInfo getStripSpace(int i)
                                 throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:strip-space" property.
  Parameters:
    `i` - Index of WhiteSpaceInfo to get
  Returns:
    WhiteSpaceInfo at given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    strip in XSLT Specification

### getStripSpaceCount

    public int getStripSpaceCount()

  Get the number of "xsl:strip-space" properties.
  Returns:
    the number of "xsl:strip-space" properties.
  See Also:
    strip in XSLT Specification

### setPreserveSpaces

    public void setPreserveSpaces(WhiteSpaceInfo wsi)

  Set the "xsl:preserve-space" property.
  Parameters:
    `wsi` - WhiteSpaceInfo element to add to list
  See Also:
    strip in XSLT Specification

### getPreserveSpace

    public WhiteSpaceInfo getPreserveSpace(int i)
                                    throws java.lang.ArrayIndexOutOfBoundsException

  Get a "xsl:preserve-space" property.
  Parameters:
    `i` - Index of WhiteSpaceInfo to get
  Returns:
    WhiteSpaceInfo at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    strip in XSLT Specification

### getPreserveSpaceCount

    public int getPreserveSpaceCount()

  Get the number of "xsl:preserve-space" properties.
  Returns:
    the number of "xsl:preserve-space" properties.
  See Also:
    strip in XSLT Specification

### setOutput

    public void setOutput(OutputProperties v)

  Set the "xsl:output" property.
  Parameters:
    `v` - non-null reference to the OutputProperties object to be added to the collection.
  See Also:
    output in XSLT Specification

### getOutput

    public OutputProperties getOutput(int i)
                               throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:output" property.
  Parameters:
    `i` - Index of OutputFormatExtended to get
  Returns:
    non-null reference to an OutputProperties object.
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    output in XSLT Specification

### getOutputCount

    public int getOutputCount()

  Get the number of "xsl:output" properties.
  Returns:
    The number of OutputProperties objects contained in this stylesheet.
  See Also:
    output in XSLT Specification

### setKey

    public void setKey(KeyDeclaration v)

  Set the "xsl:key" property.
  Parameters:
    `v` - KeyDeclaration element to add to the list of key declarations
  See Also:
    key in XSLT Specification

### getKey

    public KeyDeclaration getKey(int i)
                          throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:key" property.
  Parameters:
    `i` - Index of KeyDeclaration element to get
  Returns:
    KeyDeclaration element at given index in list
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    key in XSLT Specification

### getKeyCount

    public int getKeyCount()

  Get the number of "xsl:key" properties.
  Returns:
    the number of "xsl:key" properties.
  See Also:
    key in XSLT Specification

### setAttributeSet

    public void setAttributeSet(ElemAttributeSet attrSet)

  Set the "xsl:attribute-set" property.
  Parameters:
    `attrSet` - ElemAttributeSet to add to the list of attribute sets
  See Also:
    attribute-sets in XSLT Specification

### getAttributeSet

    public ElemAttributeSet getAttributeSet(int i)
                                     throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:attribute-set" property.
  Parameters:
    `i` - Index of ElemAttributeSet to get in list
  Returns:
    ElemAttributeSet at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    attribute-sets in XSLT Specification

### getAttributeSetCount

    public int getAttributeSetCount()

  Get the number of "xsl:attribute-set" properties.
  Returns:
    the number of "xsl:attribute-set" properties.
  See Also:
    attribute-sets in XSLT Specification

### setVariable

    public void setVariable(ElemVariable v)

  Set the "xsl:variable" property.
  Parameters:
    `v` - ElemVariable object to add to list of top level variables
  See Also:
    top-level-variables in XSLT Specification

### getVariableOrParam

    public ElemVariable getVariableOrParam(QName qname)

  Get an "xsl:variable" or "xsl:param" property.
  Parameters:
    `qname` - non-null reference to the qualified name of the variable.
  Returns:
    The ElemVariable with the given name in the list or null
  See Also:
    top-level-variables in XSLT Specification

### getVariable

    public ElemVariable getVariable(QName qname)

  Get an "xsl:variable" property.
  Parameters:
    `qname` - Qualified name of the xsl:variable to get
  Returns:
    reference to the variable named by qname, or null if not found.
  See Also:
    top-level-variables in XSLT Specification

### getVariableOrParam

    public ElemVariable getVariableOrParam(int i)
                                    throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:variable" property.
  Parameters:
    `i` - Index of variable to get in the list
  Returns:
    ElemVariable at the given index in the list
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    top-level-variables in XSLT Specification

### getVariableOrParamCount

    public int getVariableOrParamCount()

  Get the number of "xsl:variable" properties.
  Returns:
    the number of "xsl:variable" properties.
  See Also:
    top-level-variables in XSLT Specification

### setParam

    public void setParam(ElemParam v)

  Set an "xsl:param" property.
  Parameters:
    `v` - A non-null ElemParam reference.
  See Also:
    top-level-variables in XSLT Specification

### getParam

    public ElemParam getParam(QName qname)

  Get an "xsl:param" property.
  Parameters:
    `qname` - non-null reference to qualified name of the parameter.
  Returns:
    ElemParam with the given name in the list or null
  See Also:
    top-level-variables in XSLT Specification

### setTemplate

    public void setTemplate(ElemTemplate v)

  Set an "xsl:template" property.
  Parameters:
    `v` - ElemTemplate to add to list of templates
  See Also:
    section-Defining-Template-Rules in XSLT Specification

### getTemplate

    public ElemTemplate getTemplate(int i)
                             throws TransformerException

  Get an "xsl:template" property.
  Parameters:
    `i` - Index of ElemTemplate in the list to get
  Returns:
    ElemTemplate at the given index in the list
  Throws:
    TransformerException -
  See Also:
    section-Defining-Template-Rules in XSLT Specification

### getTemplateCount

    public int getTemplateCount()

  Get the number of "xsl:template" properties.
  Returns:
    the number of "xsl:template" properties.
  See Also:
    section-Defining-Template-Rules in XSLT Specification

### setNamespaceAlias

    public void setNamespaceAlias(NamespaceAlias na)

  Set the "xsl:namespace-alias" property.
  Parameters:
    `na` - NamespaceAlias elemeent to add to the list
  See Also:
    literal-result-element in XSLT Specification

### getNamespaceAlias

    public NamespaceAlias getNamespaceAlias(int i)
                                     throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:namespace-alias" property.
  Parameters:
    `i` - Index of NamespaceAlias element to get from the list
  Returns:
    NamespaceAlias element at the given index in the list
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    literal-result-element in XSLT Specification

### getNamespaceAliasCount

    public int getNamespaceAliasCount()

  Get the number of "xsl:namespace-alias" properties.
  Returns:
    the number of "xsl:namespace-alias" properties.
  See Also:
    top-level-variables in XSLT Specification

### setNonXslTopLevel

    public void setNonXslTopLevel(QName name,
                                  java.lang.Object obj)

  Set found a non-xslt element.
  Parameters:
    `name` - Qualified name of the element
    `obj` - The element object
  See Also:
    stylesheet-element in XSLT Specification

### getNonXslTopLevel

    public java.lang.Object getNonXslTopLevel(QName name)

  Get a non-xslt element.
  Parameters:
    `name` - Qualified name of the element to get
  Returns:
    The object associate with the given name
  See Also:
    stylesheet-element in XSLT Specification

### getHref

    public java.lang.String getHref()

  Get the base identifier with which this stylesheet is associated.
  Returns:
    the base identifier with which this stylesheet is associated.

### setHref

    public void setHref(java.lang.String baseIdent)

  Set the base identifier with which this stylesheet is associated.
  Parameters:
    `baseIdent` - the base identifier with which this stylesheet is associated.

### setLocaterInfo

    public void setLocaterInfo(SourceLocator locator)

  Set the location information for this element.
  Parameters:
    `locator` - SourceLocator object with location information
  Overrides:
    setLocaterInfo in class ElemTemplateElement

### getStylesheetRoot

    public StylesheetRoot getStylesheetRoot()

  Get the root of the stylesheet, where all the tables common to all stylesheets are kept.
  Returns:
    the root of the stylesheet
  Overrides:
    getStylesheetRoot in class ElemTemplateElement

### setStylesheetRoot

    public void setStylesheetRoot(StylesheetRoot v)

  Set the root of the stylesheet, where all the tables common to all stylesheets are kept.
  Parameters:
    `v` - the root of the stylesheet

### getStylesheetParent

    public Stylesheet getStylesheetParent()

  Get the parent of the stylesheet. This will be null if this is the root stylesheet.
  Returns:
    the parent of the stylesheet.

### setStylesheetParent

    public void setStylesheetParent(Stylesheet v)

  Set the parent of the stylesheet. This should be null if this is the root stylesheet.
  Parameters:
    `v` - the parent of the stylesheet.

### getStylesheetComposed

    public StylesheetComposed getStylesheetComposed()

  Get the owning aggregated stylesheet, or this stylesheet if it is aggregated.
  Returns:
    the owning aggregated stylesheet or itself
  Overrides:
    getStylesheetComposed in class ElemTemplateElement

### getNodeType

    public short getNodeType()

  Get the type of the node. We'll pretend we're a Document.
  Returns:
    the type of the node: document node.
  Overrides:
    getNodeType in class ElemTemplateElement

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.
  Returns:
    The node name
  Overrides:
    getNodeName in class ElemTemplateElement

### replaceTemplate

    public void replaceTemplate(ElemTemplate v,
                                int i)
                         throws TransformerException

  Replace an "xsl:template" property. This is a hook for CompilingStylesheetHandler, to allow us to access a template, compile it, instantiate it, and replace the original with the compiled instance. ADDED 9/5/2000 to support compilation experiment
  Parameters:
    `v` - Compiled template to replace with
    `i` - Index of template to be replaced
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.